<div class="col-md-12">
  <h2>PayU Payment Form</h2>  
  <div class="col-md-6 form-group">
    <label for="transactionID">TransactionID:</label>
    <input type="text" class="form-control" id="transactionID" name="transactionID"
      [(ngModel)]="transactionID">
  </div>
  <div class="col-md-6 form-group">
    <label for="payu_key">Key:</label>
    <input type="text" class="form-control" id="payu_key" name="payu_key" [(ngModel)]="payu_key">
  </div>
  <div class="col-md-12 form-group">
    <label for="hash_key">Hash:</label>
    <input type="text" class="form-control" id="hash_key" name="hash_key" [(ngModel)]="hash_key">
  </div>
  <form ngNoForm action="https://sandboxsecure.payu.in/_payment" name="payuform" method="POST" target="payment_popup"
    onsubmit="window.open('about:blank','payment_popup','width=900,height=500');">
    <div class="row">
      <div class="col-md-6 form-group">
        <label for="productInfo">Product Name:</label>
        <input type="text" class="form-control" id="productInfo" name="productinfo" [(ngModel)]="payuform.productinfo">
      </div>
      <div class="col-md-6 form-group">
        <label for="firstname">Name:</label>
        <input type="text" class="form-control" id="firstname" name="firstname" [(ngModel)]="payuform.firstname">
      </div>
      <div class="col-md-6 form-group">
        <label for="email">Email:</label>
        <input type="email" class="form-control" id="email" name="email" [(ngModel)]="payuform.email">
      </div>
      <div class="col-md-6 form-group">
        <label for="email">Phone:</label>
        <input type="number" class="form-control" id="phone" name="phone" [(ngModel)]="payuform.phone">
      </div>
      <div class="col-md-6 form-group">
        <label for="amount">Amount:</label>
        <input type="number" class="form-control" id="amount" name="amount" [(ngModel)]="payuform.amount">
      </div>
    </div>
    <textarea name="surl" id="surl" ng-model="surl" rows="2" cols="2" hidden [(ngModel)]="payuform.surl"></textarea>
    <textarea name="furl" id="furl" ng-model="furl" rows="2" cols="2" hidden [(ngModel)]="payuform.furl"></textarea>
    <textarea name="key" id="key" ng-model="key" rows="2" cols="2" hidden [(ngModel)]="payuform.key"></textarea>
    <textarea name="hash" id="hash" ng-model="hash" rows="2" cols="2" hidden [(ngModel)]="payuform.hash"></textarea>
    <textarea name="txnid" id="txnid" ng-model="txnid" rows="2" cols="2" hidden [(ngModel)]="payuform.txnid"></textarea>
    <textarea name="service_provider" id="service_provider" ng-model="service_provider" rows="2" cols="2" hidden [(ngModel)]="payuform.service_provider"></textarea>
    <button type="button" class="btn btn-success"
      (click)="confirmPayment()">Confirm</button>
    <button type="submit" class="btn btn-danger">Submit</button>
  </form>
</div>